VPS侦探论坛

 找回密码
 注册
查看: 313|回复: 1

关于LNMP的建议

[复制链接]
发表于 2022-2-15 11:24:23 | 显示全部楼层 |阅读模式

有两个小建议,其实都差不多


第一,基于个人习惯,建议将PHP支持的版本数量优化一下,
建议优化成只有九个,或者十个。
这样选择PHP版本的时候,只有(1-9)或者(0-9)的选项。
总感觉输入两位数的选择有点怪怪的。
可以把一些使用率比较低的版本优化掉,
比如5.4、5.5、7.1、7.3,
保持可供选择的版本不超过十个,也就是选择项只有一位数。
同理,其它选择包括数据库等,也可以如此。



第二,建议根据PHP的大版本,将LNMP变更为两个不同的支持版本,
即LTS版本和年度更新版。
比如现在PHP5和PHP7的大版本已经稳定了,那么就这样像这样:

LTS版本:只支持PHP5.2-PHP7.4的版本,同时支持对应的数据库版本
年度更新版:只支持最新的两个大版本,即PHP7和PHP8。

当下个大版本比如PHP9出来后,PHP8稳定不会再增加分支版本时,
再产生一个新的LTS版本。
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2022-2-16 08:58:17 | 显示全部楼层


目前版本是比较多,到2.0的时候会考虑去掉比较老旧的版本,只保留较新的版本
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2022-5-27 20:57 , Processed in 0.015996 second(s), 16 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表